{
	"schema": "https://iot.ikonke.com/schema.json",
	"productType": "light",
	"profile": {
		"productCode": "1022",
		"productName": "RGBW灯带"
	},
	"services": [{
		"outputData": [],
		"identifier": "set",
		"inputData": [{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		}, {
			"identifier": "RGBColor",
			"dataType": {
				"type": "struct",
				"specs": [{
					"identifier": "Red",
					"name": "红色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}, {
					"identifier": "Green",
					"name": "绿色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}, {
					"identifier": "Blue",
					"name": "蓝色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}]
			},
			"name": "RGB调色"
		}, {
			"identifier": "Brightness",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "亮度"
		}, {
			"identifier": "WhiteBrightness",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "白光亮度"
		}, {
			"identifier": "Mode",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "模式1",
					"2": "模式2",
					"3": "模式3",
					"4": "模式4",
					"5": "模式5",
					"6": "模式6",
					"7": "模式7",
					"8": "模式8",
					"9": "模式9",
					"10": "模式10",
					"11": "模式11",
					"12": "模式12"
				}
			},
			"name": "模式"
		}],
		"method": "thing.service.property.set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置"
	}, {
		"outputData": [{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		}, {
			"identifier": "RGBColor",
			"dataType": {
				"type": "struct",
				"specs": [{
					"identifier": "Red",
					"name": "红色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}, {
					"identifier": "Green",
					"name": "绿色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}, {
					"identifier": "Blue",
					"name": "蓝色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}]
			},
			"name": "RGB调色"
		}, {
			"identifier": "brightness",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "亮度"
		}, {
			"identifier": "whiteBrightness",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "白光亮度"
		}, {
			"identifier": "Mode",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "模式1",
					"2": "模式2",
					"3": "模式3",
					"4": "模式4",
					"5": "模式5",
					"6": "模式6",
					"7": "模式7",
					"8": "模式8",
					"9": "模式9",
					"10": "模式10",
					"11": "模式11",
					"12": "模式12"
				}
			},
			"name": "模式"
		}, {
			"identifier": "ModeType",
			"dataType": {
				"type": "enum",
				"specs": {
					"MANUALMODE": "手动",
					"PICKEDMODE": "精选",
					"DYNAMICMODE": "动态"
				}
			},
			"name": "模式类型"
		}],
		"identifier": "get",
		"inputData": ["PowerSwitch", "RGBColor", "Brightness", "WhiteBrightness", "Mode", "ModeType"],
		"method": "thing.service.property.get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取"
	}],
	"properties": [{
		"identifier": "PowerSwitch",
		"dataType": {
			"specs": {
				"0": "关闭",
				"1": "打开"
			},
			"type": "bool"
		},
		"name": "电源开关",
		"accessMode": "rw",
		"required": true
	}, {
		"identifier": "RGBColor",
		"name": "RGB调色",
		"accessMode": "rw",
		"required": false,
		"dataType": {
			"type": "struct",
			"specs": [{
				"identifier": "Red",
				"name": "红色",
				"dataType": {
					"type": "int",
					"specs": {
						"min": "0",
						"max": "255",
						"unitName": "无",
						"step": "1"
					}
				}
			}, {
				"identifier": "Green",
				"name": "绿色",
				"dataType": {
					"type": "int",
					"specs": {
						"min": "0",
						"max": "255",
						"unitName": "无",
						"step": "1"
					}
				}
			}, {
				"identifier": "Blue",
				"name": "蓝色",
				"dataType": {
					"type": "int",
					"specs": {
						"min": "0",
						"max": "255",
						"unitName": "无",
						"step": "1"
					}
				}
			}]
		}
	}, {
		"identifier": "Brightness",
		"name": "亮度",
		"accessMode": "rw",
		"required": false,
		"dataType": {
			"type": "int",
			"specs": {
				"min": "1",
				"max": "100",
				"unit": "%",
				"unitName": "百分比",
				"step": "1"
			}
		}
	}, {
		"identifier": "WhiteBrightness",
		"name": "白光亮度",
		"accessMode": "rw",
		"required": false,
		"dataType": {
			"type": "int",
			"specs": {
				"min": "1",
				"max": "100",
				"unit": "%",
				"unitName": "百分比",
				"step": "1"
			}
		}
	}, {
		"identifier": "Mode",
		"name": "模式",
		"accessMode": "rw",
		"required": false,
		"dataType": {
			"type": "enum",
			"specs": {
				"1": "模式1",
				"2": "模式2",
				"3": "模式3",
				"4": "模式4",
				"5": "模式5",
				"6": "模式6",
				"7": "模式7",
				"8": "模式8",
				"9": "模式9",
				"10": "模式10",
				"11": "模式11",
				"12": "模式12"
			}
		}
	}, {
		"identifier": "ModeType",
		"accessMode": "w",
		"required": false,
		"name": "模式类型",
		"dataType": {
			"type": "enum",
			"specs": {
				"MANUALMODE": "手动",
				"PICKEDMODE": "精选",
				"DYNAMICMODE": "动态"
			}
		}
	}],
	"events": [{
		"outputData": [{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		}, {
			"identifier": "RGBColor",
			"dataType": {
				"type": "struct",
				"specs": [{
					"identifier": "Red",
					"name": "红色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}, {
					"identifier": "Green",
					"name": "绿色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}, {
					"identifier": "Blue",
					"name": "蓝色",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "0",
							"max": "255",
							"unitName": "无",
							"step": "1"
						}
					}
				}]
			},
			"name": "RGB调色"
		}, {
			"identifier": "Brightness",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "亮度"
		}, {
			"identifier": "WhiteBrightness",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			},
			"name": "白光亮度"
		}, {
			"identifier": "Mode",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "模式1",
					"2": "模式2",
					"3": "模式3",
					"4": "模式4",
					"5": "模式5",
					"6": "模式6",
					"7": "模式7",
					"8": "模式8",
					"9": "模式9",
					"10": "模式10",
					"11": "模式11",
					"12": "模式12"
				}
			},
			"name": "模式"
		}, {
			"identifier": "ModeType",
			"dataType": {
				"type": "enum",
				"specs": {
					"MANUALMODE": "手动",
					"PICKEDMODE": "精选",
					"DYNAMICMODE": "动态"
				}
			},
			"name": "模式类型"
		}],
		"identifier": "property",
		"method": "thing.event.property.post",
		"name": "property",
		"type": "info",
		"required": true,
		"desc": "属性上报"
	}]
}